Subject: Re: [PATCH RFC 0/7] "NAND on UPM" and related patches

From: Scott Wood <[email-masked]>
Date: Wed, 12 Dec 2007 15:06:54 -0600

Anton Vorontsov wrote:
> As the compromise I might suggest this: forbid pattern_start/pattern_end
> from the ISRs (by marking them as might_sleep()), and replace _irqsave
> spinlock with simple spinlock.

No, you cannot use a bare spinlock with IRQs enabled.  You'll deadlock 
on SMP, and you'll have races with preemption enabled.

> Given that, personally I'd want to lockless variant to stay.
> 
> So, you still want to get rid of it?

Yes, in the absence of benchmarking that shows it makes a real 
difference.  Premature optimization being the root of all evil, and what 
not.

-Scott